Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

21

08.12.2011, 22:42

Portage version stimmt noch immer nicht trotz export

Servus bell,

ok soweit verstanden.

portage-latest habe ich neu installiert und nun gibt es auch /profiles/default/linux/arm/10.0
make.profiles stimmt nun auch denoch sttimmt die portage-version noch immer nicht

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
Gentoo Base System version 1.6.13
Portage 2.0.51.22-r2 (default/linux/arm/10.0, gcc-3.4.4, uclibc-0.9.27-r0, 2.6.16 armv5teb)
=================================================================
System uname: 2.6.16 armv5teb 
app-shells/bash: 3.0-r12
dev-java/java-config: [Not Present]
dev-lang/python: 2.3.5
dev-util/ccache: [Not Present]
dev-util/cmake: [Not Present]
dev-util/pkgconfig: [Not Present]
sys-apps/baselayout: 1.11.13
sys-apps/openrc: [Not Present]
sys-apps/sandbox: 1.2.12
sys-devel/autoconf: 2.13, 2.59-r6
sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils: 2.16-r1
sys-devel/gcc: 3.4.4
sys-devel/gcc-config: 1.3.11-r4
sys-devel/libtool: 1.5.18-r1
sys-devel/make: 3.80-r2
sys-freebsd/freebsd-lib: [Not Present]
sys-kernel/linux-headers: 2.4.26-r1
sys-libs/glibc: [Not Present]
sys-libs/uclibc: 0.9.27
virtual/os-headers: 2.4.26-r1
ACCEPT_KEYWORDS="arm"
CBUILD="armeb-softfloat-linux-uclibc"
CFLAGS="-Os"
CHOST="armeb-softfloat-linux-uclibc"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/env.d"
CXXFLAGS="-Os"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks sandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="cracklib cxx modules apache2_modules_actions apache2_modules_alias apache2_modules_auth_basic apache2_module
s_authn_alias apache2_modules_authn_anon apache2_modules_authn_dbm apache2_modules_authn_default apache2_modules_
authn_file apache2_modules_authz_dbm apache2_modules_authz_default apache2_modules_authz_groupfile apache2_module
s_authz_host apache2_modules_authz_owner apache2_modules_authz_user apache2_modules_autoindex apache2_modules_cac
he apache2_modules_cgi apache2_modules_cgid apache2_modules_dav apache2_modules_dav_fs apache2_modules_dav_lock a
pache2_modules_deflate apache2_modules_dir apache2_modules_disk_cache apache2_modules_env apache2_modules_expires
apache2_modules_ext_filter apache2_modules_file_cache apache2_modules_filter apache2_modules_headers apache2_mod
ules_include apache2_modules_info apache2_modules_log_config apache2_modules_logio apache2_modules_mem_cache apac
he2_modules_mime apache2_modules_mime_magic apache2_modules_negotiation apache2_modules_rewrite apache2_modules_s
etenvif apache2_modules_speling apache2_modules_status apache2_modules_unique_id apache2_modules_userdir apache2_
modules_usertrack apache2_modules_vhost_alias calligra_features_kexi calligra_features_words calligra_features_fl
ow calligra_features_plan calligra_features_stage calligra_features_tables calligra_features_krita calligra_featu
res_karbon calligra_features_braindump input_devices_keyboard input_devices_mouse userland_GNU kernel_linux elibc
_glibc alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_
dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plu
gins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm
_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mmap_emul alsa_pcm_plugins_mulaw 
alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route a
lsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol lcd_devices_bayrad lcd_devices_cfontz lcd_dev
ices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_d
evices_ncurses lcd_devices_text cameras_ptp2 ruby_targets_ruby18 php_targets_php5-3 xtables_addons_quota2 xtables
_addons_psd xtables_addons_pknock xtables_addons_lscan xtables_addons_length2 xtables_addons_ipv4options xtables_
addons_ipset xtables_addons_ipp2p xtables_addons_iface xtables_addons_geoip xtables_addons_fuzzy xtables_addons_c
ondition xtables_addons_tee xtables_addons_tarpit xtables_addons_sysrq xtables_addons_steal xtables_addons_rawnat
xtables_addons_logmark xtables_addons_ipmark xtables_addons_dhcpmac xtables_addons_delude xtables_addons_chaos x
tables_addons_account gpsd_protocols_ashtech gpsd_protocols_aivdm gpsd_protocols_earthmate gpsd_protocols_evermor
e gpsd_protocols_fv18 gpsd_protocols_garmin gpsd_protocols_garmintxt gpsd_protocols_gpsclock gpsd_protocols_itrax
gpsd_protocols_mtk3301 gpsd_protocols_nmea gpsd_protocols_ntrip gpsd_protocols_navcom gpsd_protocols_oceanserver
gpsd_protocols_oldstyle gpsd_protocols_oncore gpsd_protocols_rtcm104v2 gpsd_protocols_rtcm104v3 gpsd_protocols_s
irf gpsd_protocols_superstar2 gpsd_protocols_timing gpsd_protocols_tsip gpsd_protocols_tripmate gpsd_protocols_tn
t gpsd_protocols_ubx collectd_plugins_df collectd_plugins_interface collectd_plugins_irq collectd_plugins_load co
llectd_plugins_memory collectd_plugins_rrdtool collectd_plugins_swap collectd_plugins_syslog"
Unset: CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORT
AGE_COMPRESS_FLAGS, PORTAGE_CONFIGROOT, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYNC_OPTS, PORTDIR_OVERLAY


Pfüat di,

hcx

22

09.12.2011, 09:47

Überprüfe bitte, was in den Variablen steht

Quellcode

1
2
echo $PATH
echo $PYTHONPATH
Stehen dort am Anfang die /usr/portage-2.6.1 Verzeichnisse?

Bedenke, die Änderungen der Umgebungsvariablen gelten nur für die Sitzung. Dh. wenn Du dich neu anmeldest sind sie weg. Du musst also die Folgebefehle in der selben Schell eingeben wo Du die Umgebung geändert hast.

Was sagt

Quellcode

1
which emerge


Falls die Pfade gesetzt sind, funktioniert denn

Quellcode

1
/usr/portage-2.1.6/bin/emerge --info


Falls nicht ausführbar, mache diese ausführbar

Quellcode

1
chmod a+x /usr/portage-2.1.6/bin/*
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

23

09.12.2011, 14:26

Ah jetzt ja - na fast jedenfalls

Servus bell,

soweit kapiert also habe ich in der chroot Umgebung die Befehle:

Quellcode

1
 export PYTHONPATH="/usr/portage-2.6.1/pym:${PYTHONPATH}"

und

Quellcode

1
export PATH="/usr/portage-2.6.1/bin:${PATH}"

abgesetzt so daß

Quellcode

1
echo $PATH
nun zurückliefert:

Quellcode

1
/usr/portage-2.6.1/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:

und

Quellcode

1
echo $PYTHONPATH

Quellcode

1
/usr/portage-2.6.1/pym:

Quellcode

1
 which emerge
gibt als Rückgabe

Quellcode

1
/usr/bin/emerge

und

Quellcode

1
  /usr/portage-2.1.6/bin/emerge --info
bricht mit INVALID SYNTAX AB:

Quellcode

1
2
3
4
5
6
7
Traceback (most recent call last):
  File "/usr/portage-2.1.6/bin/emerge", line 12, in ?
    import _emerge
  File "/usr/portage-2.1.6/pym/_emerge/__init__.py", line 520
    result = list(x for x in matches if portage.cpv_getkey(x) == cp)
                      ^
SyntaxError: invalid syntax


ich hoffe das sagt dir mehr als im Moment mir.
Falls nicht :

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
  File: /usr/portage-2.1.6/bin/emerge
#!/usr/bin/python
# Copyright Gentoo Foundation 2006
# Portage Emerge bits
# $Id: emerge 8884 2007-12-11 23:26:05Z zmedico $
  
try:
        import _emerge
except ImportError:
        from os import path as osp
        import sys
        sys.path.insert(0, osp.join(osp.dirname(osp.dirname(osp.realpath(__file__))), "pym"))
        import _emerge

if __name__ == "__main__":
        import sys
        from portage.exception import ParseError, PermissionDenied
        try:
                retval = _emerge.emerge_main()
        except PermissionDenied, e:
                sys.stderr.write("Permission denied: '%s'\n" % str(e))
                sys.exit(e.errno)
        except ParseError, e:
                sys.stderr.write("%s\n" % str(e))
                sys.exit(1)
        sys.exit(retval)


ganz schön zickig dieses emerge.

Schon jetzt ein grosses DANKE für deine Hilfe.

Pfüat di Gott

hcx

24

09.12.2011, 15:07

Hab zu der Fehlermeldung folgendes gefunden: http://www.pc-erfahrung.de/linux/gentoo-…lid-syntax.html
Jetzt brauchst Du also noch zusätzlich ein "Rettungs-Python" :evil:

Die dort aufgeführten Befehle kannst Du direkt so durchführen, bis auf den letzten, dieser wäre bei Dir:

Quellcode

1
./python /usr/portage-2.6.1/bin/emerge python
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

25

09.12.2011, 17:29

./python /usr/portage-2.6.1/bin/emerge python bash: ./python: No such file or directory

Servus bell,

danke für die tolle Anleitung ich habe Python-2.4.4 wie beschrieben installiert, entpackt und kompiliert und dann
den Aufruf

Quellcode

1
 ./python /usr/portage-2.6.1/bin/emerge python

direkt aus dem Verzeichnis Python-2.4.4 gestartet

doch den Pfad

Quellcode

1
/usr/portage-2.1.6/bin/emerge python
gibt es so wenig wie

Quellcode

1
 /usr/portage/bin/ emerge python


which emerge zeigt nach wie vor auf /usr/bin/emerge und python zeigt an:

Quellcode

1
Python 2.3.5 (#1, Aug 21 2005, 16:01:57) 


Hast Du noch eine Idee?

Pfüat di

hcx

26

09.12.2011, 17:56

Der Befehl sollte schon lauten

Quellcode

1
 ./python /usr/portage-2.6.1/bin/emerge python

Zur Erklärung:
"./python" Nimm Python im aktuelen Verzeichnis statt des System Pythons
"/usr/portage-2.6.1/bin/emerge" Um Emerge aus diesem Verzeichnis auszuführen, statt System-Emerge
"python" Parameter für Emerge. Das Paket soll aktualisiert werden. Zum Test kannst Du auch erstmal "--info" mitgeben. Oder "-va1 python"


Was hast Du alles in dem Python-2.4.4 Verzeichnis nach dem Kompilieren?

Quellcode

1
ls -l .
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

27

09.12.2011, 18:04

./python: can't open file '/usr/portage-2.6.1/bin/emerge': [Errno 2] No such file or directory

Hallo bell,

in Python-2.4.4 sind:

Quellcode

1
2
3
4
Demo     LICENSE   Makefile.pre     Objects  Python  aclocal.m4  config.status  libpython2.4.a  python
Doc      Lib       Makefile.pre.in  PC       README  build       configure      platform        setup.py
Grammar  Mac       Misc             PCbuild  RISCOS  buildno     configure.in   pyconfig.h
Include  Makefile  Modules          Parser   Tools   config.log  install-sh     pyconfig.h.in



Quellcode

1
2
3
4
Python-2.4.4 # ./python /usr/portage-2.6.1/bin/emerge python --info
./python: can't open file '/usr/portage-2.6.1/bin/emerge': [Errno 2] No such file or directory
./python /usr/portage-2.6.1/bin/emerge python -va1 python
./python: can't open file '/usr/portage-2.6.1/bin/emerge': [Errno 2] No such file or directory


Ich habe auch schon das versucht:

less /etc/make.globals

Then:

emerge --metadata

hat nichts gebracht.

Python ist immer noch Python 2.3.5
Ich habe keine Idee mehr wie ich python aktualisiert bekomme.

Gruss aus leonberg
hcx

28

09.12.2011, 19:19

Was sagt denn

Quellcode

1
./python --version

Und dumm gefragt, ist das Rettungs-Emerge (/usr/portage-2.6.1 ) noch da? Oder hast Du evtl. wieder neu angefangen und evtl. sogar es wo anders hin entpackt?
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

29

10.12.2011, 08:47

He, das ist ein wirklich cooler Thread. Wird's mal Zeit für ein http://www.gentooforum.de/artikel/14378/…fen-k-nnen.html, hm?

Ist ja spannend!
http://www.dyle.org
IM-Account (Jabber!) sind auf meiner HP ...
There is no place like /home

http://www.gentooforum.de
http://www.gentoofreunde.org

<div>how to annoy a web developer?</span>

30

10.12.2011, 12:49

Python Version 2.4.4 lässt sich nicht installieren

Hallo bell,

"Es gibt keine dummen Fragen, es gibt jedoch saudumme Antworten!" - mein alter Lehrmeister

Ich hoffe diese ist nicht saudumm:

Quellcode

1
2
3
4
5
6
 cd usr/
.keep                         libexec/                      share/
armeb-softfloat-linux-uclibc/ local/                        src/
bin/                          portage/                      tmp/
include/                      portage-2.1.6/                
lib/                          sbin/


./python --version bringt als Rückmeldung :

Quellcode

1
2
3
4
5
6
7
8
 Unknown option: --
usage: ./python [option] ... [-c cmd | -m mod | file | -] [arg] ...
Try `python -h' for more information.[/code}

doch mit python -V bekomme ich angezeigt: Python 2.3.5


unter /root ist jedoch eindeutig Python-2.44. installiert: [code] pwd /root/Python-2.4.4


./configure && make liefert:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
/root/Python-2.4.4/Modules/nismodule.c:18:28: rpcsvc/yp_prot.h: No such file or directory
/root/Python-2.4.4/Modules/nismodule.c:19:27: rpcsvc/ypclnt.h: No such file or directory
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_error':
/root/Python-2.4.4/Modules/nismodule.c:31: warning: implicit declaration of function `yperr_string'
/root/Python-2.4.4/Modules/nismodule.c:31: warning: passing arg 2 of `PyErr_SetString' makes pointer from integer without a cast
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_foreach':
/root/Python-2.4.4/Modules/nismodule.c:86: error: `YP_TRUE' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c:86: error: (Each undeclared identifier is reported only once
/root/Python-2.4.4/Modules/nismodule.c:86: error: for each function it appears in.)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_match':
/root/Python-2.4.4/Modules/nismodule.c:131: warning: implicit declaration of function `yp_get_default_domain'
/root/Python-2.4.4/Modules/nismodule.c:137: warning: implicit declaration of function `yp_match'
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_cat':
/root/Python-2.4.4/Modules/nismodule.c:153: error: storage size of 'cb' isn't known
/root/Python-2.4.4/Modules/nismodule.c:170: warning: implicit declaration of function `yp_all'
/root/Python-2.4.4/Modules/nismodule.c:153: warning: unused variable `cb'
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_xdr_domainname':
/root/Python-2.4.4/Modules/nismodule.c:227: error: `YPMAXDOMAIN' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_xdr_mapname':
/root/Python-2.4.4/Modules/nismodule.c:237: error: `YPMAXMAP' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_maplist':
/root/Python-2.4.4/Modules/nismodule.c:319: warning: implicit declaration of function `yp_master'
running build_scripts


make test bringt:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
/root/Python-2.4.4/Modules/nismodule.c:18:28: rpcsvc/yp_prot.h: No such file or directory
/root/Python-2.4.4/Modules/nismodule.c:19:27: rpcsvc/ypclnt.h: No such file or directory
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_error':
/root/Python-2.4.4/Modules/nismodule.c:31: warning: implicit declaration of function `yperr_string'
/root/Python-2.4.4/Modules/nismodule.c:31: warning: passing arg 2 of `PyErr_SetString' makes pointer from integer without a cast
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_foreach':
/root/Python-2.4.4/Modules/nismodule.c:86: error: `YP_TRUE' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c:86: error: (Each undeclared identifier is reported only once
/root/Python-2.4.4/Modules/nismodule.c:86: error: for each function it appears in.)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_match':
/root/Python-2.4.4/Modules/nismodule.c:131: warning: implicit declaration of function `yp_get_default_domain'
/root/Python-2.4.4/Modules/nismodule.c:137: warning: implicit declaration of function `yp_match'
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_cat':
/root/Python-2.4.4/Modules/nismodule.c:153: error: storage size of 'cb' isn't known
/root/Python-2.4.4/Modules/nismodule.c:170: warning: implicit declaration of function `yp_all'
/root/Python-2.4.4/Modules/nismodule.c:153: warning: unused variable `cb'
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_xdr_domainname':
/root/Python-2.4.4/Modules/nismodule.c:227: error: `YPMAXDOMAIN' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_xdr_mapname':
/root/Python-2.4.4/Modules/nismodule.c:237: error: `YPMAXMAP' undeclared (first use in this function)
/root/Python-2.4.4/Modules/nismodule.c: In function `nis_maplist':
/root/Python-2.4.4/Modules/nismodule.c:319: warning: implicit declaration of function `yp_master'
running build_scripts
running build_scripts
find ./Lib -name '*.py[co]' -print | xargs rm -f
./python -E -tt ./Lib/test/regrtest.py -l 
test_grammar
test_opcodes
test_operations
test_builtin
test_exceptions
test_types
test_MimeWriter
test_StringIO
test___all__
test___future__
test__locale
test_aepack
test_aepack skipped -- No module named aepack
test_al
test_al skipped -- No module named al
test_anydbm
test_applesingle
test_applesingle skipped -- No module named macostools
test_array
test_asynchat
test_atexit
test_audioop
test_augassign
test_base64
test_bastion
test_binascii
test_binhex
test_binop
test_bisect
test_bool
test_bsddb
test_bsddb skipped -- No module named _bsddb
test_bsddb185
test_bsddb185 skipped -- No module named bsddb185
test_bsddb3
test_bsddb3 skipped -- Use of the `bsddb' resource not enabled
test_bufio
test_bz2
test_calendar
test_call
test_capi
test_cd
test_cd skipped -- No module named cd
test_cfgparser
test_cgi
test_charmapcodec
test_cl
test_cl skipped -- No module named cl
test_class
test_cmath
test_cmd_line
test_codeccallbacks
test_codeccallbacks skipped -- No module named unicodedata
test_codecencodings_cn
test_codecencodings_hk
test_codecencodings_jp
Traceback (most recent call last):
  File "./Lib/test/regrtest.py", line 1197, in ?
    main()
  File "./Lib/test/regrtest.py", line 336, in main
    ok = runtest(test, generate, verbose, quiet, testdir, huntrleaks)
  File "./Lib/test/regrtest.py", line 500, in runtest
    indirect_test()
  File "/root/Python-2.4.4/Lib/test/test_codecencodings_jp.py", line 109, in test_main
    test_support.run_suite(suite)
  File "/root/Python-2.4.4/Lib/test/test_support.py", line 280, in run_suite
    result = runner.run(suite)
  File "/root/Python-2.4.4/Lib/test/test_support.py", line 269, in run
    test(result)
  File "/root/Python-2.4.4/Lib/unittest.py", line 428, in __call__
    return self.run(*args, **kwds)
  File "/root/Python-2.4.4/Lib/unittest.py", line 424, in run
    test(result)
  File "/root/Python-2.4.4/Lib/unittest.py", line 428, in __call__
    return self.run(*args, **kwds)
  File "/root/Python-2.4.4/Lib/unittest.py", line 424, in run
    test(result)
  File "/root/Python-2.4.4/Lib/unittest.py", line 281, in __call__
    return self.run(*args, **kwds)
  File "/root/Python-2.4.4/Lib/unittest.py", line 260, in run
    testMethod()
  File "/root/Python-2.4.4/Lib/test/test_multibytecodec_support.py", line 130, in test_streamwriter
    data = func(sizehint)
  File "/root/Python-2.4.4/Lib/codecs.py", line 280, in read
    elif len(self.charbuffer) >= size:


demzufolge sagt python-updater:

Quellcode

1
2
 python-updater
 * Can't determine any previous Python version(s).


Sofern ich die Fehlermeldungen richtig interpretieren ist der Wurm in Python.

Gruss aus Leonberg

hcx

31

10.12.2011, 16:43

@dyle, Dein Tipp würde leider schon am 1. "emerge -av screen" scheitern. :( Emerge geht ja leider nicht.
Ich denke bei dieser Problemstellung hätte auch ein erfahrener Gentooianer Schwierigkeiten. Denn selbst für eine Neu-Installation gibt es keine aktuellen Stages, weder 1 noch 3. :(
Und für einen Anfänger....

@hcx: Ich schaue mal ob ich was mit crossdev herzaubern kann. Denn bisher ist es wie die Suche nach der Lösung wie die nach der Nadel im Heuhaufen. In der Zwischenzeit würde ich empfehlen Debian zu testen. Hier ist ein ziemlich aktuelles Howto:http://www.cyrius.com/debian/nslu2/unpack.html
Damit würdest Du Linux insgesamt kennen lernen und Dich mit der Console vertraut machen.
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

32

10.12.2011, 18:14

Hallo bell,

das mit crossdev wäre natürlich eine nummer .
Debian nutze ich bereits seit 2.2 und hatte squeeze schon auf der SLUG am laufen.

Der Installer ist very buggy, da gefiel mir das turnup script von Gentoo schon besser. Un dieses emerge soll angeblich laufen (http://forums.gentoo.org/viewtopic-t-832…e76c10869a25e61

Ich post meine Errors mal an l3u, mal sehen was der meint.

Danke für Alles

hcx

33

10.12.2011, 18:52

Crossdev weigert sich bei mir die Toolchain zu erstellen. Uclibc will nicht. ;( Habe auch wenig Zeit dem nachzugehen.

Mal ein Experiment: Hast Du eigentlich schon versucht ob der "armv5tel-softfloat-linux-gnueabi" auf Deiner Hardware ausführbar ist? http://distfiles.gentoo.org/releases/arm…tage3-armv5tel/ Das wäre doch was oder? In der make.conf im Paket steht auch "-march=armv5te" bei den CFLAGS. Wäre einen Versuch wert, und ist aktuell.

Zweites Experiment: Eine Stage-1 Installation mit dem "alten" armeb http://distfiles.gentoo.org/experimental…-2005.1.tar.bz2
Anleitung:http://www.gentoo-wiki.info/HOWTO_Advanc…rieving_Stage_1
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

34

11.12.2011, 08:35

@bell: uhm, ich meinte ja nicht ein screen direkt auf das System selbst, sondern auf das von hcx, mit welchem er die Sachen bastelt ... DA sollte schon ein screen möglich sein (sofern das *irgendeine* Linux-Kiste ist). Von dort dann weiter. Ich gehe davon aus, daß ein SSH auf das Zielsystem funkt, oder? Dann ist das ja gegessen.

@hcx: ich könnte ja auch mal auf die Kiste gucken, aber meine Zeiten sind sehr, sehr begrenzt. Es sei denn du stehst gegen 5:00 früh auf und hast da eine Stunde Zeit ...
http://www.dyle.org
IM-Account (Jabber!) sind auf meiner HP ...
There is no place like /home

http://www.gentooforum.de
http://www.gentoofreunde.org

<div>how to annoy a web developer?</span>

35

11.12.2011, 16:38

stage1-armeb-uclibc-softfloat-2005.1 emerge syntax error

Hallo bell und dyle,

zu Experiment 1 gnuaebi - das Stagearchiv lässt sich nicht auf der Hardware armv5teb XScale-IXP42x Family rev 2 (v5b) ausführen

zu Experiment 2 stage 1 Archiv

auch hier hängt alles an emerge:

Quellcode

1
2
3
4
5
6
7
8
emerge --sync
Traceback (most recent call last):
  File "/usr/bin/emerge", line 10, in ?
    import portage
  File "/usr/lib/portage/pym/portage/__init__.py", line 36
    except ImportError as e:
                        ^
SyntaxError: invalid syntax


meine make.conf habe ich gemäss des HOWTOs entsprechend erweitert:

Quellcode

1
2
3
4
5
6
7
8
File: make.conf                                                         

# These settings were set by the catalyst build script that automatically built this stage
# Please consult /etc/make.conf.example for a more detailed example
CFLAGS="-Os"
CHOST="armeb-softfloat-linux-uclibc"
CXXFLAGS="-Os"
USE="nptl"

make.profile zeigt auf:

Quellcode

1
2
3
4
5
6
7
8
ls -la make.profile/
total 16
drwxr-xr-x  2 portage portage 4096 Dec 11 15:26 .
drwxr-xr-x  4 portage portage 4096 Apr  2  2011 ..
lrwxrwxrwx  1 root    root      44 Dec 11 14:24 10.0 -> /usr/portage/profiles/default/linux/arm/10.0
lrwxrwxrwx  1 root    root      52 Dec 11 15:26 arm5te -> /usr/portage/profiles/default/linux/arm/10.0/arm5te/
-rw-r--r--  1 portage portage  152 Aug  9 06:31 package.mask
-rw-r--r--  1 portage portage    3 Mar 30  2005 parent


Das Python-2.4.4 welches unter /root liegt lässt sich hingegen nun gar nicht mehr konfigurieren:

Quellcode

1
2
3
4
5
6
7
8
Python-2.4.4 # ./configure 
checking MACHDEP... linux2
checking EXTRAPLATDIR... 
checking for --without-gcc... no
checking for --with-cxx=<compiler>... no
checking for c++... c++
checking for C++ compiler default output file name... configure: error: C++ compiler cannot create executables
See `config.log' for more details.

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
less config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by python configure 2.4, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ ./configure 

## --------- ##
## Platform. ##
## --------- ##

hostname = motherfucker
uname -m = armv5teb
uname -r = 2.6.16
uname -s = Linux
uname -v = #1 PREEMPT Fri Jun 9 07:34:31 PDT 2006

/usr/bin/uname -p = XScale-IXP42x Family rev 2 (v5b)
/bin/uname -X     = unknown

/bin/arch              = armv5teb
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/portage-2.6.1/bin
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /opt/bin
PATH: /usr/armeb-softfloat-linux-uclibc/gcc-bin/3.4.4


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1510: checking MACHDEP
configure:1655: result: linux2
configure:1661: checking EXTRAPLATDIR
configure:1676: result: 
configure:1697: checking for --without-gcc
configure:1746: result: no
configure:1752: checking for --with-cxx=<compiler>
configure:1773: result: no
configure:1792: checking for c++
configure:1808: found /usr/bin/c++
configure:1818: result: c++
configure:1858: checking for C++ compiler default output file name
configure:1861: c++    conftest.cc  >&5
./configure: line 1862: /usr/bin/c++: cannot execute binary file
configure:1864: $? = 126
configure: failed program was:
| /* confdefs.h.  */
| 
| #define _GNU_SOURCE 1
| #define _NETBSD_SOURCE 1
| #define __BSD_VISIBLE 1
| #define _BSD_TYPES 1
| #define _XOPEN_SOURCE 600
| #define _XOPEN_SOURCE_EXTENDED 1
| #define _POSIX_C_SOURCE 200112L
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:1903: error: C++ compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_prog_CXX=c++

## ----------------- ##
## Output variables. ##
## ----------------- ##

AR=''
BASECFLAGS=''
BLDLIBRARY=''
BLDSHARED=''
BUILDEXEEXT=''
CC=''
CCSHARED=''
CFLAGS=''
CFLAGSFORSHARED=''
CONFIGURE_MACOSX_DEPLOYMENT_TARGET=''
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_prog_CXX=c++

## ----------------- ##
## Output variables. ##
## ----------------- ##

AR=''
BASECFLAGS=''
BLDLIBRARY=''
BLDSHARED=''
BUILDEXEEXT=''
CC=''
CCSHARED=''
CFLAGS=''
CFLAGSFORSHARED=''
CONFIGURE_MACOSX_DEPLOYMENT_TARGET=''
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_prog_CXX=c++

## ----------------- ##
## Output variables. ##
## ----------------- ##

AR=''
BASECFLAGS=''
BLDLIBRARY=''
BLDSHARED=''
BUILDEXEEXT=''
CC=''
CCSHARED=''
CFLAGS=''
CFLAGSFORSHARED=''
CONFIGURE_MACOSX_DEPLOYMENT_TARGET=''
CONFIG_ARGS=''
CPP=''
CPPFLAGS=''
CXX='c++'
DEFS=''
DLINCLDIR=''
DLLLIBRARY=''
DYNLOADFILE=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
EXPORT_MACOSX_DEPLOYMENT_TARGET='#'
EXTRAMACHDEPPATH=''
EXTRAPLATDIR=''
FRAMEWORKALTINSTALLFIRST=''
FRAMEWORKALTINSTALLLAST=''
FRAMEWORKINSTALLFIRST=''
FRAMEWORKINSTALLLAST=''
FRAMEWORKUNIXTOOLSPREFIX='/usr/local'
HAVE_GETHOSTBYNAME=''
HAVE_GETHOSTBYNAME_R=''
HAVE_GETHOSTBYNAME_R_3_ARG=''
HAVE_GETHOSTBYNAME_R_5_ARG=''
HAVE_GETHOSTBYNAME_R_6_ARG=''
INSTALL_DATA=''
INSTALL_PROGRAM=''
INSTALL_SCRIPT=''
INSTSONAME=''
LDFLAGS=''
LDLAST=''
LDLIBRARY=''
LDLIBRARYDIR=''
LDSHARED=''
LIBC=''
LIBM=''
LIBOBJS=''
LIBRARY=''
LIBS=''
LIBTOOL_CRUFT=''
LINKCC=''
LINKFORSHARED=''
LN=''
LTLIBOBJS=''
MACHDEP='linux2'
MACHDEP_OBJS=''
MAINOBJ='python.o'
OBJEXT=''
OPT=''
OTHER_LIBTOOL_OPT=''
PACKAGE_BUGREPORT='http://www.python.org/python-bugs'
PACKAGE_NAME='python'
PACKAGE_STRING='python 2.4'
PACKAGE_TARNAME='python'
PACKAGE_VERSION='2.4'
PATH_SEPARATOR=':'
PYTHONFRAMEWORK=''
PYTHONFRAMEWORKDIR='no-framework'
PYTHONFRAMEWORKINSTALLDIR=''
PYTHONFRAMEWORKPREFIX=''
RANLIB=''
RUNSHARED=''
SGI_ABI=''
SHELL='/bin/sh'
SHLIBS=''
SIGNAL_OBJS=''
SO=''
SOVERSION='1.0'
SRCDIRS=''
THREADHEADERS=''
THREADOBJ=''
TRUE=''
UNICODE_OBJS=''
UNIVERSALSDK=''
USE_SIGNAL_MODULE=''
USE_THREAD_MODULE=''
VERSION='2.4'
ac_ct_CC=''
ac_ct_RANLIB=''
bindir='${exec_prefix}/bin'
build_alias=''
datadir='${prefix}/share'
exec_prefix='NONE'
host_alias=''
includedir='${prefix}/include'
infodir='${prefix}/info'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='NONE'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define _BSD_TYPES 1
#define _GNU_SOURCE 1
#define _NETBSD_SOURCE 1
#define _POSIX_C_SOURCE 200112L
#define _XOPEN_SOURCE 600
#define _XOPEN_SOURCE_EXTENDED 1
#define __BSD_VISIBLE 1

configure: exit 77


Dyle ich möchte deine Anregung mit ssh aufgreifen und vorschlagen, falls Du magst dass ich dir die Zugangsdaten für den root Account (leider kann ich derzeit mit useradd keinen Benutzer anlegen

Quellcode

1
 bash: /usr/sbin/useradd: cannot execute binary file

als pm zukommen lasse. ich darf bei dir annehmen, dass Du keine krmminellen Sachen machst und daten sind noch nicht auf dem Sytem.

bell wenn Du auch möchtest schicke ich sie dir ebenfalls oder per email.

Danke für eure Mühe und Hilfe

hcx

36

12.12.2011, 21:35

Was eine Remote-Sitzung angeht, da muss ich passen. Hab zu selten Zeit an einer Sache länger zu schaffen. Finde nur Zeit schnell mal was zu schreiben. Jaja.. schlechtes Zeit-Management. Aber mit kleinen Kindern ist gutes Zeit-Management nicht immer möglich :(

Zu Experiment 1: Wie hast Du festgestellt, dass es nicht komatibel ist?

Experiment 2: Hast recht, der selbe Käse. Vergiss es.

Hab noch ein Experiment 3 auf Lager. Etwas verrückt :whistling: . Da anscheinend der 7-jahre altes Stage nicht alles mitbringt um aktuelles Portage zu nutzen, nutzen wir das was Debian mitbringt :evil:
Da hast Du doch Python drauf oder? Falls nicht installiere es dazu, möglichst die 2.7er Version.

Ich nehme an, Du Debian bootest, Die Gentoo-Partiiton unter /mnt/gentoo mountest und dann nach Gentoo chrootest oder?

Also lade mal das aktuelle Portage unter Debian runter, zB. nach /root und entpacke es

Quellcode

1
2
3
cd /root
wget http://distfiles.gentoo.org/distfiles/portage-2.2.0_alpha80.tar.bz2 
tar -jvxf portage-2.2.0_alpha80.tar.bz2


Jetzt setzt Du die Rettungs-Pfade:

Quellcode

1
2
export PYTHONPATH="/root/portage-2.2.0_alpha80/pym/:$PYTHONPATH"
export PATH="/root/portage-2.1.10.11/bin/:$PATH"


mountest Gentoo und gibst dieses dem Rettungs-Portage bekannt

Quellcode

1
2
3
mount /dev/xxx /mnt/gentoo
export ROOT="/mnt/gentoo"
export PORTAGE_CONFIGROOT="/mnt/gentoo"


Was sagt jetzt (unter Debian in dieser Session) ein

Quellcode

1
emerge --info


würde ein

Quellcode

1
emerge -va portage
so durchlaufen?
Bei Fehlern wirst Du einiges unter Debian nachinstallieren müssen. Zb. GCC, python-devel und weitere *-devel Pakete. Experimentiere also ruhig etwas.

PS: Bitte lange Ausgaben als Dateianhang hochladen. So muss man immer viel scrollen wenn man schnell was im Thema nachschauen will.
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

37

13.12.2011, 20:39

Neues Experiment

Hallo Bell,

ich habe kein Debian mehr auf der Slug dennoch mal Python-2.7 versucht zu installieren, was jedoch mit dieser Fehlermeldung abbricht:

Quellcode

1
2
3
4
5
6
running build
running build_ext
building dbm using gdbm
INFO: Can't locate Tcl/Tk libs and/or headers
./python: can't resolve symbol 'round'
make: *** [sharedmods] Error 1

Python ist also weiterhin 2.3.5
Die Pfade habe ich so gesetzt:

Quellcode

1
2
3
4
5
$PATH
bash: /root/portage-2.1.10.11/bin/:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin: No such file or directory

$PYTHONPATH
bash: /root/portage-2.2.0_alpha80/pym/:: No such file or directory

das portage habe ich wie beschrieben nach /root entpackt

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
env -update
SHELL=/bin/sh
TERM=vt100
PORTAGE_CONFIGROOT=/mnt/gentoo
USER=root
PATH=/root/portage-2.1.10.11/bin/:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:
PWD=/root/Python-2.7
EDITOR=/bin/vi
TZ=UTC
ROOT=/mnt/gentoo
PS1=\[\033[01;31m\]\h\[\033[01;34m\] \W \$\[\033[00m\] 
SHLVL=1
HOME=/root
PYTHONPATH=/root/portage-2.2.0_alpha80/pym/:
LOGNAME=root
_=/usr/bin/env
OLDPWD=/root

Quellcode

1
2
3
4
5
6
7
8
emerge --info
Traceback (most recent call last):
  File "/usr/bin/emerge", line 10, in ?
    import portage
  File "/usr/lib/portage/pym/portage/__init__.py", line 36
    except ImportError as e:
                        ^
SyntaxError: invalid syntax


Als ich nach der Installation des gnuaebi Stage chrooten wollte kam ein not excutable leider habe ich die Meldung nicht mehr.

Ich hoffe die Code Tags sind nicht zu lang diesmal. :)

Gruss

hcx

38

14.12.2011, 17:35

Wie ist Deine Konfiguration?
Was bootest Du auf dem Gerät?
Ich bin davon ausgegangen dass Du Debian bootest und dann nach Gentoo chrootest.
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.

39

19.12.2011, 18:33

Noch'n Experiment

Hallo Bell, Hallo Dyle,

dieses Portage ging mir mächtig auf den ..... also habe ich es mal anders versucht und gentoo mit der Live CD in einer Virtualbox installiert.

Dazu Portage-2.2.0_alpha80

mittels

Quellcode

1
emerge --sync

Quellcode

1
 emerge --update --ask world 
und

Quellcode

1
 emerge --update --deep --newuse world 
auf Version 2.1.10.11 gebracht

Als Profil

Quellcode

1
hardened/linux/x86/selinux 
wegen nginx webserver (emerge empfahl dies so zu tun)

Python-2.7 was ich unter /root ausserhalb des Chroot entpackt hatte händisch zu installieren scheitete daran daß ./configure den gcc nicht fand und den PATH nicht akzeptieren wollte, mit

Quellcode

1
2
3
4
 emerge -1 =dev-lang/python-2.7* 
 emerge -1 --nodeps dev-python/setuptools portage
 emerge -1 --keep-going $(eix -cI | grep -F 'dev-python' | cut -f 2 -d " ") --jobs=2
 emerge -C "<dev-lang/python-2.7"

lief es dann.

Das einzige was ich noch nicht emergt bekommen habe ist motion

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
emerge  motion

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-lang/nasm-2.09.10  USE="-doc" 
[ebuild  N     ] media-libs/libjpeg-turbo-1.1.1  USE="-static-libs" 
[ebuild  N     ] virtual/jpeg-0  USE="-static-libs" 
[ebuild  N     ] media-libs/libv4l-0.8.5 
[ebuild  N    ~] media-video/motion-3.2.12-r2  USE="v4l -ffmpeg -mysql -postgres" 

The following keyword changes are necessary to proceed:
#required by motion (argument)
>=media-video/motion-3.2.12-r2 ~x86

NOTE: This --autounmask behavior can be disabled by setting
      EMERGE_DEFAULT_OPTS="--autounmask=n" in make.conf.

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).


was soweit ich es verstehe an den USE-Flags liegt doch emerge läuft nun.

Jetzt hat die Sache nur einen Schönheitsfehler das Gentoo ist für i686 kompiliert, nun wäre es toll wenn sich das virtual image auf armv5teb "umstricken" liesse.

In der Virtualbox lässt sich AFAIK diese Architektur nicht darstellen.

Nochmals Danke und Merry X-mas

hcx23

40

30.01.2012, 11:44

Hallo hcx,

ist das Thema mit der Aktion hier [gelöst]?
Bitte auch um Statusänderung der anderen Beiträge: !!! Your current profile is deprecated and not supported anymore. !!! Please upgrade to the following profile if possible: uclibc/arm/2.4 und File "/usr/lib/portage/pym/portage.py", line 889, in addProfile raise portage_exception.ParseError( NameError: global name 'parents_file' is not defined

Wie geht es jetzt weiter? Machst Du die nächsten Installations-Schritte selbst weiter? Falls Du noch was größeres kompilieren musst, sag mir Bescheid, mein Cross-Compiler braucht was zu tun ;)
Auch wenn Open-Source kostenlos ist, ist sie nicht umsonst. Dein Preis ist Dein Engagement und Mitarbeit an OS-Projekten.
Wenn Du keinen Preis bezahlen willst, bist Du die Ware. Und das ist nicht Open Source, geschweigedenn frei.